import * as customService from '../services/custom'

export default {
  namespace: 'custom',
  state: {

  },
  effects: {
    * homeboardGetData ({ payload }, { call }) {
      return yield call(customService.homeboardGetData, payload)
    },
    * homeboardGetConf ({ payload }, { call }) {
      return yield call(customService.homeboardGetConf, payload)
    },
    * homeboardSetConf ({ payload }, { call }) {
      return yield call(customService.homeboardSetConf, payload)
    }
  },
  reducers: {
    save (state, action) {
      return { ...state, ...action.payload }
    }
  }
}
